import { Platform } from '@angular/cdk/platform';
import { DateAdapter } from './date-adapter';
export declare class NativeDateAdapter extends DateAdapter<Date> {
    private readonly _clampDate;
    useUtcForDisplay: boolean;
    constructor(ntDateLocale: string, platform: Platform);
    getYear(date: Date): number;
    getMonth(date: Date): number;
    getDate(date: Date): number;
    getMilliseconds(date: Date): number;
    getDayOfWeek(date: Date): number;
    getMonthNames(style: 'long' | 'short' | 'narrow', locale?: string): string[];
    getDateNames(locale?: string): string[];
    getDayOfWeekNames(style: 'long' | 'short' | 'narrow', locale?: string): string[];
    getYearName(date: Date, locale?: string): string;
    getFirstDayOfWeek(): number;
    getNumDaysInMonth(date: Date): number;
    clone(date: Date): Date;
    createDate(year: number, month: number, date: number): Date;
    today(): Date;
    parse(value: any): Date | null;
    format(date: Date, displayFormat: Object, locale?: string): string;
    addCalendarYears(date: Date, years: number): Date;
    addCalendarMonths(date: Date, months: number): Date;
    addCalendarDays(date: Date, days: number): Date;
    toIso8601(date: Date): string;
    deserialize(value: any): Date | null;
    isDateInstance(obj: any): boolean;
    isValid(date: Date): boolean;
    invalid(): Date;
    private _createDateWithOverflow;
    private _2digit;
    private _stripDirectionalityCharacters;
    private _format;
}
